// Class: Cheese
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import java.awt.Color;

/**
 *  Mouse in a Maze Program:<br>
 *
 *    A Cheese object represents a piece of cheese in the maze.
 *
 *  @author Alyce Brady
 *  @version 5 March 2003
 **/
public class Cheese extends ColorBlock
{
    private static Color cheeseColor = Color.yellow;

    /** Defines the color for all pieces of cheese. **/
    public static void setCheeseColor(Color col)
    {
        cheeseColor = col;
    }

    /** Constructs a piece of cheese at the specified location in
     *  an environment.
     *  @param env     the environment in which to place this cheese
     *  @param loc     the location of this cheese
     **/
    public Cheese(Environment env, Location loc)
    {
        super(cheeseColor, env, loc);
    }

}
