// Class: MovingStrategy
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

/**
 *  Mouse in a Maze Program:<br>
 *
 *    A <code>MovingStrategy</code> object represents a strategy for
 *    an object to move around in its environment.
 *
 *  @author Alyce Brady
 *  @version 5 March 2003
 **/
public interface MovingStrategy
{
    /** Determine's the object's next location.
     *    @param    maze  the maze in which this object wishes to move
     *    @param    currentLocation  the object's current location
     *    @return   the location to which this object should move
     **/
    Location getNextLocation(Maze maze, Location currentLocation);

    /** Returns the name of this MovingStrategy. **/
    String toString();
}
